function output = my_fdct(input)

N = length(input);
is_power = (2^round(log2(N))) - N;

if (is_power ~= 0)
    fprintf('The length of input signal should be power of 2. \n')
else
    recombined = zeros(1,N);

    % select even (counting from 0)
    recombined(1:end/2) = input(1:2:end);

    % select odd (counting from 0)
    recombined(end:-1:(end/2)+1) = input(2:2:end);

    F_recombined = fft(recombined);
    F_recombined_multiplied = F_recombined .* exp((-i)*[0:N-1]*pi/(2*N));

    output = real(F_recombined_multiplied) * sqrt(2/N);
    output(1) = output(1) / sqrt(2);
end

end